const proxyURL = process.env.PANDA_ENV_PROXY || 'http://192.168.8.28:8911';

export default {
  '/api': {
    target: proxyURL,
    changeOrigin: true,
    pathRewrite: { '^/api': '' },
  },
  '/PandaMonitor': {
    target: proxyURL,
    changeOrigin: true,
    headers: {
      'Access-Control-Allow-Origin': '*',
    },
    pathRewrite: {
      '/PandaMonitor': '/PandaMonitor',
    },
  },
  '/PandaCore': {
    target: proxyURL,
    changeOrigin: true,
    headers: {
      'Access-Control-Allow-Origin': '*',
    },
    pathRewrite: {
      '/PandaCore': '/PandaCore',
    },
  },
};
